Bug 12969 - IEEE Xplore (online periodical browser) is broken with Safari
Summary: IEEE Xplore (online periodical browser) is broken with Safari
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Evangelism (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://ieeexplore.ieee.org/xpl/period...
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-05 10:48 PST by David Kilzer (:ddkilzer)
Modified: 2007-12-11 00:17 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2007-03-05 10:48:32 PST
The IEEE Xplore web site is broken for Safari.  Accessing the URL (http://ieeexplore.ieee.org/xpl/periodicals.jsp) redirects to a different URL (http://ieeexplore.ieee.org/xpl/jrns.jsp) with a missing JavaScript file (http://ieeexplore.ieee.org/styles/xplorejs/tree_tpl1.js) which prevents the page from working properly.  This bug covers the evangelism effort required to fix this issue.

Note that if Safari is spoofed as a different browser (probably MSIE 6 or Firefox 2), the original page does not work because the MSIE-specific insertAdjacentHTML JavaScript method is not implemented (Bug 7633).

See Bug 7633 Comment #1 for details.
Comment 1 David Kilzer (:ddkilzer) 2007-03-05 11:22:32 PST
I just filled out this technical support form about this issue (linked from the "Support"->"Technical Support" item in the upper-right corner of the page) as an IEEE member:

http://ieeexplore.ieee.org/xpl/techform.jsp

Comment 2 David Kilzer (:ddkilzer) 2007-03-12 13:11:45 PDT
Comments/Response to Case ID:

ReplyTo: member-services@ieee.org
      From: Maureen Hemmerly              Date: 03/12/2007                       
   Subject: Re: Tech Form              Send To: ddkilzer@computer.org            
            feedback                                                             
                                            cc:                                  

Member Name:  David Kilzer
Member Number:  NNNNNNNN

Listed below are the recommended platforms and browsers for using IEEE
Xplore®.  The requirements are based on statistics indicating the most
highly
used browsers accessing IEEE Xplore and compatibility with future site
development.

For best performance and to ensure accuracy, we recommend you use one of
the
following supported platforms and browsers*:

Recommended Platforms and Browsers for accessing IEEE Xplore
       WINDOWS
Internet Explorer 5.5 or higher
Netscape 7.X or higher
Opera 7.23
Mozilla Firefox 1.0
       MAC
Internet Explorer 5.2.3
Netscape 7.1
       UNIX
Netscape 7.X or higher

Other Requirements
In addition, the following options must be enabled within the browser:
Cookies
JavaScript
CSS styles

For best display, screen resolution 1024 by 768 pixels is recommended.
For best dial-up performance, a 56.6 or higher modem is recommended
For viewing PDF files, Adobe® Acrobat Reader 7.X or higher is recommended

For questions or details on these recommendations, contact
onlinesupport@ieee.org.

*Note: IEEE Xplore may function with many browsers which are not on the
recommended list. When a browser is not supported, the browser has not been

tested on IEEE Xplore; therefore, we can not guarantee its function. We
continue to evaluate our recommendations to meet the needs of our users. As
new
browsers are introduced and used to access IEEE Xplore, we expect
modifications
to the supported browsers list.

Sincerely,

Maureen Hemmerly
Member Service Associate

Comment 3 David Kilzer (:ddkilzer) 2007-03-12 13:33:21 PDT
[Reply to Comment #2.]

Please do the following:

1. Fix the missing CSS file (http://ieeexplore.ieee.org/styles/xplorejs/tree_tpl1.js) when accessing the backup Periodicals interface (http://ieeexplore.ieee.org/xpl/jrns.jsp).

2. Add support for Safari 2.0.x and newer on all of IEEE's web sites.

Reasons for requesting these changes:

1. Microsoft has discontinued support of Internet Explorer 5.2 for Mac OS X as of 12/31/2005.

http://support.microsoft.com/lifecycle/?LN=en-us&x=18&y=10&p1=6874

2. The last version of Mac OS X that Apple distributed with Mac IE 5.2 was 10.3 ("Panther").  Beginning with Mac OS X 10.4 ("Tiger") which was released on April 29, 2005, only Safari 2.0.x was distributed with the operating system, and Mac OS X 10.5 ("Leopard") will be out later this year with Safari 3.0.

Please note that if you wish to test IEEE web sites with newer versions of WebKit (the browser engine used in Safari) that will be close to what's used in Mac OS X 10.5, you may download nightly builds at http://nightly.webkit.org/ that work on Mac OS X 10.4.

Dave

Comment 4 David Kilzer (:ddkilzer) 2007-03-23 07:47:36 PDT
[It appears that the immediate issue will be fixed later today, after which this bug may be closed!  Thanks Mike!  Quote marks added by me for clarity.]

Subject:	 Re: Re: Tech Form feedback
To:	David Kilzer
From:	Mike Capaccio
Date:	 Fri, 23 Mar 2007 06:28:37 -0500

Dear Dave,

I have replied to your inquiries below:

> 1. Fix the missing CSS file
> (http://ieeexplore.ieee.org/styles/xplorejs/tree_tpl1.js) when accessing
> the backup Periodicals
> interface (http://ieeexplore.ieee.org/xpl/jrns.jsp).

This will be fixed some time today, March 23.

> 2. Add support for Safari 2.0.x and newer on all of IEEE's web sites.

We are aware of the problems with the Safari browser.  We are currently
working on a redesign of IEEE Xplore.  This new version of IEEE Xplore will
work properly with the Safari browser.  This new version is due out in
early 2008.

Regards,

Mike Capaccio

Comment 5 Alexey Proskuryakov 2007-12-11 00:17:48 PST
Works fine for me now.